/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\weapons\RunicBow.cs
Lines of code: 34
***********************************************************/


using System;
using Server.Network;
using Server.Items;

namespace Server.Items
{
	[FlipableAttribute( 0x13B2, 0x13B1 )]
	public class RunicBow : Bow
	{

		[CommandProperty( AccessLevel.GameMaster )]
		public bool IsModified
		{
			get{ return ( Hue == 2401 ); }
		}

		[Constructable]
		public RunicBow()
		{
			Hue = 1190;
		}

	/*	public override void OnDoubleClick( Mobile from )
		{
			if ( IsModified )
			{
				from.SendMessage( "The bow has run out of elemental energy to perform other changes." );
			}
			else if ( !IsChildOf( from.Backpack ) )
			{
				from.SendMessage( "This must be in your backpack to modify it." );
			}
			else if ( from.Skills[SkillName.Magery].Base < 100.0 )
			{
				from.SendMessage( "Only a grandmaster mage can modify this weapon." );
			}
			else
			{
				from.BeginTarget( 2, false, Targeting.TargetFlags.None, new TargetCallback( OnTargetGears ) );
				from.SendMessage( "Select the gears you wish to use." );
			}
		}

		public void OnTargetGears( Mobile from, object targ )
		{
			Gears g = targ as Gears;

			if ( g == null || !g.IsChildOf( from.Backpack ) )
			{
				from.SendMessage( "Those are not gears." ); // Apparently gears that aren't in your backpack aren't really gears at all. :-(
			}
			else if ( IsModified )
			{
				from.SendMessage( "That has already been modified." );
			}
			else if ( !IsChildOf( from.Backpack ) )
			{
				from.SendMessage( "This must be in your backpack to modify it." );
			}
			else if ( from.Skills[SkillName.Magery].Base < 100.0 )
			{
				from.SendMessage( "Only a grandmaster mage can modify this weapon." );
			}
			else
			{
				g.Consume();

				Name = "runic bow";
				Hue = Utility.RandomList( 1161, 1266, 1272, 1278, 2401 );
				WeaponAttributes.HitFireball = 5 * Utility.RandomMinMax( 5, 10 );
				WeaponAttributes.HitLightning = 5 * Utility.RandomMinMax( 5, 10 );
				Attributes.SpellChanneling = 1;
				from.SendMessage( "You modify it using your magical knowledge." );
			}
		}*/

		public RunicBow( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
			
			LootType=LootType.Cursed;
		}
	}
}